<?php

if ( !defined( 'ABSPATH' ) )
    exit;

return array(
    '-None-' => array(
        'label' => __( '-None-', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'none',
    ),
    'Contact - Salutation' => array(
        'label' => __( 'Contact - Salutation', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.SALUTATION',
    ),
    'Contact - First Name' => array(
        'label' => __( 'Contact - First Name', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.FIRST_NAME',
    ),
    'Contact - Last Name' => array(
        'label' => __( 'Contact - Last Name', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.LAST_NAME',
    ),
    'Contact - Background' => array(
        'label' => __( 'Contact - Background', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.BACKGROUND',
    ),
    'Contact - Street' => array(
        'label' => __( 'Contact - Street', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.ADDRESSES.STREET',
    ),
    'Contact - City' => array(
        'label' => __( 'Contact - City', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.ADDRESSES.CITY',
    ),
    'Contact - State' => array(
        'label' => __( 'Contact - State', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.ADDRESSES.STATE',
    ),
    'Contact - Post Code' => array(
        'label' => __( 'Contact - Post Code', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.ADDRESSES.POSTCODE',
    ),
    'Contact - Country' => array(
        'label' => __( 'Contact - Country', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.ADDRESSES.COUNTRY',
    ),
    'Contact - Email' => array(
        'label' => __( 'Contact - Email', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.CONTACTINFOS.Email',
    ),
    'Contact - Phone' => array(
        'label' => __( 'Contact - Phone', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.CONTACTINFOS.Phone',
    ),
    'Contact - LinkedIN' => array(
        'label' => __( 'Contact - Linked IN', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.SOCIAL_LINKEDIN',
    ),
    'Contact - Twitter' => array(
        'label' => __( 'Contact - Twitter', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.SOCIAL_TWITTER',
    ),
    'Contact - Website' => array(
        'label' => __( 'Contact - Website', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.CONTACTINFOS.Website',
    ),
    'Contact - Visible To' => array(
        'label' => __( 'Contact - Visible to', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.VISIBLE_TO',
    ),
    'Contact - Visible User IDs' => array(
        'label' => __( 'Contact - Visible User IDs', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.VISIBLE_USER_IDS',
    ),
    'Organization' => array(
        'label' => __( 'Organization', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nforganizations.ORGANISATION_NAME',
    ),
    /**
     * Add Organization field mapping
     * @since 3.2.0
     */
    'Organization - Background' => array(
        'label' => __( 'Organization Background', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nforganizations.BACKGROUND',
    ),
    'Organization - Visible to' => array(
        'label' => __( 'Organization Visible To', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nforganizations.VISIBLE_TO',
    ),
    'Organization - Street' => array(
        'label' => __( 'Organization Street', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nforganizations.ADDRESSES.STREET',
    ),
    'Organization - City' => array(
        'label' => __( 'Organization City', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nforganizations.ADDRESSES.CITY',
    ),
    'Organization - State' => array(
        'label' => __( 'Organization State', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nforganizations.ADDRESSES.STATE',
    ),
    'Organization - Postcode' => array(
        'label' => __( 'Organization Postcode', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nforganizations.ADDRESSES.POSTCODE',
    ),
    'Organization - Country' => array(
        'label' => __( 'Organization County', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nforganizations.ADDRESSES.COUNTRY',
    ),
    'Organization - Website' => array(
        'label' => __( 'Organization - Website', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nforganizations.CONTACTINFOS.Website',
    ),
    'Organization - Phone' => array(
        'label' => __( 'Organization - Phone', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nforganizations.CONTACTINFOS.Phone',
    ),
    /* -- End of added Organization Fields 2018.04 -- */
    'Organization Role' => array(
        'label' => __( 'Organization Role', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.LINKS.nforganisation.ROLE',
    ),
    'Contact Tag' => array(
        'label' => __( 'Contact Tag', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.TAGS.TAG_NAME',
    ),
    'Lead - Salutation' => array(
        'label' => __( 'Lead - Salutation', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.SALUTATION',
    ),
    'Lead - Title' => array(
        'label' => __( 'Lead - Title', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.TITLE',
    ),
    'Lead - First Name' => array(
        'label' => __( 'Lead - First Name', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.FIRST_NAME',
    ),
    'Lead - Last Name' => array(
        'label' => __( 'Lead - Last Name', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.LAST_NAME',
    ),
    'Lead - Street' => array(
        'label' => __( 'Lead - Street', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.ADDRESS_STREET',
    ),
    'Lead - City' => array(
        'label' => __( 'Lead - City', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.ADDRESS_CITY',
    ),
    'Lead - State' => array(
        'label' => __( 'Lead - State', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.ADDRESS_STATE',
    ),
    'Lead - Post Code' => array(
        'label' => __( 'Lead - Post Code', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.ADDRESS_POSTCODE',
    ),
    'Lead - Country' => array(
        'label' => __( 'Lead - Country', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.ADDRESS_COUNTRY',
    ),
    'Lead - Organization' => array(
        'label' => __( 'Lead - Organization', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.ORGANIZATION_NAME',
    ),
    'Lead - Phone' => array(
        'label' => __( 'Lead - Phone', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.PHONE_NUMBER',
    ),
    'Lead - Mobile Phone' => array(
        'label' => __( 'Lead - Mobile Phone', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.MOBILE_PHONE_NUMBER',
    ),
    'Lead - Fax Number' => array(
        'label' => __( 'Lead - Fax Number', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.FAX_NUMBER',
    ),
    'Lead - Email Address' => array(
        'label' => __( 'Lead - Email Address', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.EMAIL_ADDRESS',
    ),
    'Lead - Website URL' => array(
        'label' => __( 'Lead - Website URL', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.WEBSITE_URL',
    ),
    'Lead - Description' => array(
        'label' => __( 'Lead - Description', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.LEAD_DESCRIPTION',
    ),
    'Lead - Industry' => array(
        'label' => __( 'Lead - Industry', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.INDUSTRY',
    ),
    'Lead - Employee Count' => array(
        'label' => __( 'Lead - Employee Count', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.EMPLOYEE_COUNT',
    ),
    'Lead - Lead Rating' => array(
        'label' => __( 'Lead - Lead Rating', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.LEAD_RATING',
    ),
    'Lead - Lead Status ID' => array(
        'label' => __( 'Lead - Lead Status ID', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.LEAD_STATUS_ID',
    ),
    'Lead - Lead Source ID' => array(
        'label' => __( 'Lead - Lead Source ID', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.LEAD_SOURCE_ID',
    ),
    'Lead - Responsible User ID' => array(
        'label' => __( 'Lead - Responsible User ID', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.RESPONSIBLE_USER_ID',
    ),
    'Lead - Visible To' => array(
        'label' => __( 'Lead - Visible To', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.VISIBLE_TO',
    ),
    'Lead - Visible User IDs' => array(
        'label' => __( 'Lead - Visible User IDs', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.VISIBLE_USER_IDS',
    ),
    'Lead Tag' => array(
        'label' => __( 'Lead Tag', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfleads.TAGS.TAG_NAME',
    ),
    'Opportunity' => array(
        'label' => __( 'Opportunity', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfopportunities.OPPORTUNITY_NAME',
    ),
    'Opportunity Details' => array(
        'label' => __( 'Opportunity Details', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfopportunities.OPPORTUNITY_DETAILS',
    ),
    'Opportunity State' => array(
        'label' => __( 'Opportunity State', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfopportunities.OPPORTUNITY_STATE',
    ),
    'Opportunity Pipeline' => array(
        'label' => __( 'Opportunity Pipeline', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfopportunities.PIPELINE_ID',
    ),
    'Opportunity Stage' => array(
        'label' => __( 'Opportunity Stage', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfopportunities.STAGE_ID',
    ),
    'Opportunity Tag' => array(
        'label' => __( 'Opportunity Tag', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfopportunities.TAGS.TAG_NAME',
    ),
    'Opportunity Role' => array(
        'label' => __( 'Opportunity Role', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.LINKS.nfopportunities.ROLE',
    ),
    'Project Name' => array(
        'label' => __( 'Project Name', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfprojects.PROJECT_NAME',
    ),
    'Project Status' => array(
        'label' => __( 'Project Status', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfprojects.STATUS',
    ),
    'Project Details' => array(
        'label' => __( 'Project Details', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfprojects.PROJECT_DETAILS',
    ),
    'Project Pipeline' => array(
        'label' => __( 'Project Pipeline', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfprojects.PIPELINE_ID',
    ),
    'Project Stage' => array(
        'label' => __( 'Project Stage', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfprojects.STAGE_ID',
    ),
    'Project Tag' => array(
        'label' => __( 'Project Tag', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfprojects.TAGS.TAG_NAME',
    ),
    'Project Role' => array(
        'label' => __( 'Project Role', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nfcontacts.LINKS.nfprojects.ROLE',
    ),
    /*
     * Notes not supported in Insightly API v2.2
      'Note Title'=> array(
      'label' => __( 'Note Title', 'ninja-forms-insightly-crm' ),
      'map_instructions' =>'nfnotes.TITLE',
      ),
      'Note Body'=> array(
      'label' => __( 'Note Body', 'ninja-forms-insightly-crm' ),
      'map_instructions' => 'nfnotes.BODY',
      ),
     *
     */
    'Task Title' => array(
        'label' => __( 'Task Title', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nftasks.TITLE',
    ),
    'Task Due Date' => array(
        'label' => __( 'Task Due Date', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nftasks.DUE_DATE',
    ),
    'Task Details' => array(
        'label' => __( 'Task Details', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nftasks.DETAILS',
    ),
    'Task Status' => array(
        'label' => __( 'Task Status', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nftasks.STATUS',
    ),
    'Task Priority' => array(
        'label' => __( 'Task Priority', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nftasks.PRIORITY',
    ),
    'Task Percent Complete' => array(
        'label' => __( 'Task Percent Complete', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nftasks.PERCENT_COMPLETE',
    ),
    'Task Responsibility ID' => array(
        'label' => __( 'Task Responsibility ID', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nftasks.RESPONSIBLE_USER_ID',
    ),
    'Task Owner ID' => array(
        'label' => __( 'Task Owner ID', 'ninja-forms-insightly-crm' ),
        'map_instructions' => 'nftasks.OWNER_USER_ID'
    )
);
